# Class Level

#### Hierarchy

- LevelBase
  - Level

- Defined in file/numbering/level.ts:324

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new Level(__namedParameters): Level

- #### Parameters

  - ##### __namedParameters: ILevelsOptions

  #### Returns Level

  Inherited from LevelBase.constructor

  - Defined in file/numbering/level.ts:271

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from LevelBase.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from LevelBase.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc